Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# eaxac3.h File Reference

Go to the source code of this file.

## Compounds
struct | AC3FILEINFO
struct | EAXAC3DEVICEINFO
struct | EAXAC3FNTABLE
## Typedefs
typedef signed long | HRESULT
typedef unsigned int | EAXAC3HANDLE
typedef unsigned int | AC3STREAM
typedef void(__stdcall * | LPAC3CALLBACK )(AC3STREAM AC3Stream, int msg)
typedef * | LPAC3FILEINFO
typedef * | LPEAXAC3DEVICEINFO
typedef int(* | LPEAXAC3QUERYNUMBEROFDEVICES )(void)
typedef HRESULT(* | LPEAXAC3QUERYFILE )(char *, LPAC3FILEINFO, int)
typedef HRESULT(* | LPEAXAC3QUERYMEMORY )(char *, int, LPAC3FILEINFO, int)
typedef int(* | LPEAXAC3QUERYNOOFFRAMESREQFORPLAYBACK )(AC3STREAM)
typedef HRESULT(* | LPEAXAC3OPENPLAYBACKDEVICE )(EAXAC3HANDLE)
typedef HRESULT(* | LPEAXAC3CLOSEPLAYBACKDEVICE )(EAXAC3HANDLE)
typedef HRESULT(* | LPEAXAC3QUERYDEVICECAPS )(EAXAC3HANDLE, LPEAXAC3DEVICEINFO, int)
typedef HRESULT(* | LPEAXAC3GETPOSITION )(AC3STREAM, enum POSFORMAT, int *)
typedef HRESULT(* | LPEAXAC3SETFILEPOSITION )(AC3STREAM, enum POSFORMAT, int)
typedef HRESULT(* | LPEAXAC3OPENSTREAM )(EAXAC3HANDLE, AC3STREAM *, LPAC3CALLBACK, char *, enum SOURCE)
typedef HRESULT(* | LPEAXAC3CLOSESTREAM )(AC3STREAM)
typedef HRESULT(* | LPEAXAC3PREPLAYSTREAM )(AC3STREAM)
typedef HRESULT(* | LPEAXAC3PLAYSTREAM )(AC3STREAM, int)
typedef HRESULT(* | LPEAXAC3STOPSTREAM )(AC3STREAM)
typedef HRESULT(* | LPEAXAC3PAUSESTREAM )(AC3STREAM)
typedef HRESULT(* | LPEAXAC3RESUMESTREAM )(AC3STREAM)
typedef HRESULT(* | LPEAXAC3LOCKBUFFER )(AC3STREAM, unsigned long, void **, unsigned long *, void **, unsigned long *, unsigned long)
typedef HRESULT(* | LPEAXAC3UNLOCKBUFFER )(AC3STREAM, void *, unsigned long, void *, unsigned long, int)
typedef HRESULT(* | LPEAXAC3SETPLAYBACKMODE )(EAXAC3HANDLE, unsigned int)
typedef char *(* | LPEAXAC3GETERRORSTRING )(HRESULT, char *, int)
typedef HRESULT(* | LPEAXAC3GETLASTERROR )(HRESULT *)
typedef * | LPEAXAC3FNTABLE
typedef EAXAC3_API HRESULT(* | LPEAXAC3GETFUNCTIONTABLE )(LPEAXAC3FNTABLE)
typedef ALboolean(* | LPALEAXAC3GETFUNCTIONTABLE )(LPEAXAC3FNTABLE)
## Enumerations
enum | POSFORMAT { MILLISECONDS, BYTES, AC3FRAMES }
enum | SOURCE { AC3FILE, MEMORY }
## Functions
EAXAC3_API HRESULT | EAXAC3GetFunctionTable (LPEAXAC3FNTABLE lpEAXAC3FnTable)
EAXAC3_API int | EAXAC3QueryNumberOfDevices ()
EAXAC3_API HRESULT | EAXAC3QueryFile (char *szAC3Filename, LPAC3FILEINFO lpAC3Caps, int nSizeOfAC3FileInfoStruct)
EAXAC3_API HRESULT | EAXAC3QueryMemory (char *lpBuffer, int nSizeOfBuffer, LPAC3FILEINFO lpAC3FileInfo, int nSizeOfAC3FileInfoStruct)
EAXAC3_API int | EAXAC3QueryNoOfFramesReqForPlayback (AC3STREAM AC3Stream)
EAXAC3_API HRESULT | EAXAC3OpenPlaybackDevice (EAXAC3HANDLE EAXAC3Handle)
EAXAC3_API HRESULT | EAXAC3ClosePlaybackDevice (EAXAC3HANDLE EAXAC3Handle)
EAXAC3_API HRESULT | EAXAC3QueryDeviceCaps (EAXAC3HANDLE EAXAC3Handle, LPEAXAC3DEVICEINFO lpEAXAC3DeviceInfo, int nSizeOfAC3DeviceInfoStruct)
EAXAC3_API HRESULT | EAXAC3GetPosition (AC3STREAM AC3Stream, enum POSFORMAT posFormat, int *lpAmount)
EAXAC3_API HRESULT | EAXAC3SetFilePosition (AC3STREAM AC3Stream, enum POSFORMAT posFormat, int nAmount)
EAXAC3_API HRESULT | EAXAC3OpenStream (EAXAC3HANDLE EAXAC3Handle, AC3STREAM *lpAC3Stream, LPAC3CALLBACK pAC3CallbackFn, char *szAC3Filename, enum SOURCE src)
EAXAC3_API HRESULT | EAXAC3CloseStream (AC3STREAM AC3Stream)
EAXAC3_API HRESULT | EAXAC3PrePlayStream (AC3STREAM AC3Stream)
EAXAC3_API HRESULT | EAXAC3PlayStream (AC3STREAM AC3Stream, int nLooping)
EAXAC3_API HRESULT | EAXAC3StopStream (AC3STREAM AC3Stream)
EAXAC3_API HRESULT | EAXAC3PauseStream (AC3STREAM AC3Stream)
EAXAC3_API HRESULT | EAXAC3ResumeStream (AC3STREAM AC3Stream)
EAXAC3_API HRESULT | EAXAC3LockBuffer (AC3STREAM AC3Stream, unsigned long ulBytes, void **ppvPointer1, unsigned long *pdwBytes1, void **ppvPointer2, unsigned long *pdwBytes2, unsigned long ulFlags)
EAXAC3_API HRESULT | EAXAC3UnLockBuffer (AC3STREAM AC3Stream, void *pvPointer1, unsigned long ulSize1, void *pvPointer2, unsigned long ulSize2, int nFinished)
EAXAC3_API HRESULT | EAXAC3SetPlaybackMode (EAXAC3HANDLE EAXAC3Handle, unsigned int ulPlayMode)
EAXAC3_API char * | EAXAC3GetErrorString (HRESULT hr, char *szErrorString, int nSizeOfErrorString)
EAXAC3_API HRESULT | EAXAC3GetLastError (HRESULT *hr)

## Typedef Documentation

typedef unsigned int AC3STREAM

typedef unsigned int EAXAC3HANDLE

typedef signed long HRESULT

typedef void(__stdcall * LPAC3CALLBACK)(AC3STREAM AC3Stream, int msg)

typedef * LPAC3FILEINFO

typedef ALboolean(* LPALEAXAC3GETFUNCTIONTABLE)(LPEAXAC3FNTABLE)

typedef HRESULT(* LPEAXAC3CLOSEPLAYBACKDEVICE)(EAXAC3HANDLE)

typedef HRESULT(* LPEAXAC3CLOSESTREAM)(AC3STREAM)

typedef * LPEAXAC3DEVICEINFO

typedef * LPEAXAC3FNTABLE

typedef char*(* LPEAXAC3GETERRORSTRING)(HRESULT, char *, int)

typedef EAXAC3_API HRESULT(* LPEAXAC3GETFUNCTIONTABLE)(LPEAXAC3FNTABLE)

typedef HRESULT(* LPEAXAC3GETLASTERROR)(HRESULT *)

typedef HRESULT(* LPEAXAC3GETPOSITION)(AC3STREAM, enum POSFORMAT, int *)

typedef HRESULT(* LPEAXAC3LOCKBUFFER)(AC3STREAM, unsigned long, void **, unsigned long *, void **, unsigned long *, unsigned long)

typedef HRESULT(* LPEAXAC3OPENPLAYBACKDEVICE)(EAXAC3HANDLE)

typedef HRESULT(* LPEAXAC3OPENSTREAM)(EAXAC3HANDLE, AC3STREAM *, LPAC3CALLBACK, char *, enum SOURCE)

typedef HRESULT(* LPEAXAC3PAUSESTREAM)(AC3STREAM)

typedef HRESULT(* LPEAXAC3PLAYSTREAM)(AC3STREAM, int)

typedef HRESULT(* LPEAXAC3PREPLAYSTREAM)(AC3STREAM)

typedef HRESULT(* LPEAXAC3QUERYDEVICECAPS)(EAXAC3HANDLE, LPEAXAC3DEVICEINFO, int)

typedef HRESULT(* LPEAXAC3QUERYFILE)(char *, LPAC3FILEINFO, int)

typedef HRESULT(* LPEAXAC3QUERYMEMORY)(char *, int, LPAC3FILEINFO, int)

typedef int(* LPEAXAC3QUERYNOOFFRAMESREQFORPLAYBACK)(AC3STREAM)

typedef int(* LPEAXAC3QUERYNUMBEROFDEVICES)(void)

typedef HRESULT(* LPEAXAC3RESUMESTREAM)(AC3STREAM)

typedef HRESULT(* LPEAXAC3SETFILEPOSITION)(AC3STREAM, enum POSFORMAT, int)

typedef HRESULT(* LPEAXAC3SETPLAYBACKMODE)(EAXAC3HANDLE, unsigned int)

typedef HRESULT(* LPEAXAC3STOPSTREAM)(AC3STREAM)

typedef HRESULT(* LPEAXAC3UNLOCKBUFFER)(AC3STREAM, void *, unsigned long, void *, unsigned long, int)

## Enumeration Type Documentation

enum POSFORMAT

  | Enumeration values:
  MILLISECONDS |
  BYTES |
  AC3FRAMES |

enum SOURCE

  | Enumeration values:
  AC3FILE |
  MEMORY |

## Function Documentation

EAXAC3_API HRESULT EAXAC3ClosePlaybackDevice | ( | EAXAC3HANDLE | EAXAC3Handle | ) |

EAXAC3_API HRESULT EAXAC3CloseStream | ( | AC3STREAM | AC3Stream | ) |

EAXAC3_API char* EAXAC3GetErrorString | ( | HRESULT | hr,
|  | char * | szErrorString,
|  | int | nSizeOfErrorString
| ) |

EAXAC3_API HRESULT EAXAC3GetFunctionTable | ( | LPEAXAC3FNTABLE | lpEAXAC3FnTable | ) |

EAXAC3_API HRESULT EAXAC3GetLastError | ( | HRESULT * | hr | ) |

EAXAC3_API HRESULT EAXAC3GetPosition | ( | AC3STREAM | AC3Stream,
|  | enum POSFORMAT | posFormat,
|  | int * | lpAmount
| ) |

EAXAC3_API HRESULT EAXAC3LockBuffer | ( | AC3STREAM | AC3Stream,
|  | unsigned long | ulBytes,
|  | void ** | ppvPointer1,
|  | unsigned long * | pdwBytes1,
|  | void ** | ppvPointer2,
|  | unsigned long * | pdwBytes2,
|  | unsigned long | ulFlags
| ) |

EAXAC3_API HRESULT EAXAC3OpenPlaybackDevice | ( | EAXAC3HANDLE | EAXAC3Handle | ) |

EAXAC3_API HRESULT EAXAC3OpenStream | ( | EAXAC3HANDLE | EAXAC3Handle,
|  | AC3STREAM * | lpAC3Stream,
|  | LPAC3CALLBACK | pAC3CallbackFn,
|  | char * | szAC3Filename,
|  | enum SOURCE | src
| ) |

EAXAC3_API HRESULT EAXAC3PauseStream | ( | AC3STREAM | AC3Stream | ) |

EAXAC3_API HRESULT EAXAC3PlayStream | ( | AC3STREAM | AC3Stream,
|  | int | nLooping
| ) |

EAXAC3_API HRESULT EAXAC3PrePlayStream | ( | AC3STREAM | AC3Stream | ) |

EAXAC3_API HRESULT EAXAC3QueryDeviceCaps | ( | EAXAC3HANDLE | EAXAC3Handle,
|  | LPEAXAC3DEVICEINFO | lpEAXAC3DeviceInfo,
|  | int | nSizeOfAC3DeviceInfoStruct
| ) |

EAXAC3_API HRESULT EAXAC3QueryFile | ( | char * | szAC3Filename,
|  | LPAC3FILEINFO | lpAC3Caps,
|  | int | nSizeOfAC3FileInfoStruct
| ) |

EAXAC3_API HRESULT EAXAC3QueryMemory | ( | char * | lpBuffer,
|  | int | nSizeOfBuffer,
|  | LPAC3FILEINFO | lpAC3FileInfo,
|  | int | nSizeOfAC3FileInfoStruct
| ) |

EAXAC3_API int EAXAC3QueryNoOfFramesReqForPlayback | ( | AC3STREAM | AC3Stream | ) |

EAXAC3_API int EAXAC3QueryNumberOfDevices | ( |  | ) |

EAXAC3_API HRESULT EAXAC3ResumeStream | ( | AC3STREAM | AC3Stream | ) |

EAXAC3_API HRESULT EAXAC3SetFilePosition | ( | AC3STREAM | AC3Stream,
|  | enum POSFORMAT | posFormat,
|  | int | nAmount
| ) |

EAXAC3_API HRESULT EAXAC3SetPlaybackMode | ( | EAXAC3HANDLE | EAXAC3Handle,
|  | unsigned int | ulPlayMode
| ) |

EAXAC3_API HRESULT EAXAC3StopStream | ( | AC3STREAM | AC3Stream | ) |

EAXAC3_API HRESULT EAXAC3UnLockBuffer | ( | AC3STREAM | AC3Stream,
|  | void * | pvPointer1,
|  | unsigned long | ulSize1,
|  | void * | pvPointer2,
|  | unsigned long | ulSize2,
|  | int | nFinished
| ) |